Skip to main content
`Ctrl`+`K`

# pandas.api.types.is_re_compilable

pandas.api.types.is_re_compilable(obj)

  Check if the object can be compiled into a regex pattern instance.

  Parameters:
    obj The object to check
  Returns:
    bool

      Whether obj can be compiled as a regex pattern.

  Examples

      >>> from pandas.api.types import is_re_compilable
      >>> is_re_compilable(".*")
      True
      >>> is_re_compilable(1)
      False